package com.logicbig.example;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ApplicationContext;
import javax.validation.ConstraintViolation;
import javax.validation.ConstraintViolationException;


@SpringBootApplication
public class ExampleMain {

    public static void main(String[] args) {
      ApplicationContext ac =  SpringApplication.run(ExampleMain.class);
        UserTask userTask = ac.getBean(UserTask.class);
        User user = new User();
        user.setEmail("tony-example.com");
        try {
            userTask.registerUser(user);
        } catch (ConstraintViolationException e) {
            for (ConstraintViolation<?> violation : e.getConstraintViolations()) {
                System.out.println(violation.getPropertyPath() + " " + violation.getMessage());
            }
        }
    }
}